Bug 1200067 - [RFE] Foreign Menu Using REST
Summary: [RFE] Foreign Menu Using REST
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Betak
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On: 1123771 975730 975834 975835 1127156 1277447 1295455 1297810
Blocks: 1188212
TreeView+ depends on / blocked
 
Reported: 2015-03-09 15:42 UTC by David Blechter
Modified: 2016-03-09 20:58 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Using the remote-viewer tool to connect to an ovirt:// URI now displays a menu that allows the user to change the CD image inserted in the virtual machine. This makes it possible to change the inserted CD while the virtual machine is running, without the need to access the Administration Portal or the User Portal.
Clone Of: 975835
Environment:
Last Closed: 2016-03-09 20:58:59 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC

Description David Blechter 2015-03-09 15:42:07 UTC
+++ This bug was initially created as a clone of Bug #975835 +++

+++ This bug was initially created as a clone of Bug #975834 +++

Create a client for the oVirt's REST API for requesting foreign menu (similar to dynamicMenu but using REST API).

For more information about the specific details please see the oVirt's feature page:
http://www.ovirt.org/Features/Foreign_Menu_Using_REST

--- Additional comment from Tomas Jelinek on 2013-06-27 08:13:57 EDT ---

The nature of this RFE has been changed - originally the client should have parsed a menu provided by oVirt REST. This is not true anymore. The new description is:
Client should be able to get the list of available CD images and also perform the change CD using the oVirt REST. oVirt will provide the sessionId to authenticate with the REST and the vmGuid in the .vv file.

--- Additional comment from Marc-Andre Lureau on 2015-02-02 07:08:24 EST ---

This bug is RFE, and has a dependencies on rhel 6.x, rhel 7.x and windows spice clients

Comment 1 Michal Skrivanek 2015-05-25 11:13:01 UTC
ovirt side is done, depends on virt-viewer support (see Depends On bugs)
should be present in EL 6.7+, 7.1+

Comment 2 Michal Skrivanek 2015-06-05 07:36:26 UTC
make sure you're using the right client

Comment 7 Shira Maximov 2016-02-21 18:22:17 UTC
verified on :
Red Hat Enterprise Virtualization Manager Version: 3.6.3.2-0.1.el6

vitrifaction included :
1. add and remove CD from ISO domain and see that it reflects in the CD list. 
2. check that the 'change CD' is working in user portal and admin portal. 
3. check the the 'change CD' is available on linux and windows. 
4. check that it is possible to see large amount of CD's in the menu. 

Note: There are some essential bugs which are not resolved yet:
Bug 1310450 - The CD list in 'change CD' console menu still available after detaching ISO domain

Bug 1304755 - admin should have permission to see 'change CD' in admin portal

Comment 9 errata-xmlrpc 2016-03-09 20:58:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.